

#include <qaccel.h>
#include <qcolor.h>
#include <qwidget.h>
#include <qstringlist.h>
#include <qheader.h>
#include <qcombobox.h>
#include <stdlib.h>
#include <iostream.h>

#include "TransDictTableItem.h"




TransDictTableItem::TransDictTableItem( QTable *t, EditType et,const QString& txt) : QTableItem( t, et,txt),mle(0) 
{
	te=txt;
	setReplaceable( TRUE );
	mle=0;
	//initialy we set color of the cell to while
	colorName="white";
}


QWidget *TransDictTableItem::createEditor() const 
{
//	    ( (TransDictTableItem*)this )->mle = new QMultiLineEdit(0,(char *)0 );
	( (TransDictTableItem*)this )->mle=	     new QMultiLineEdit(table()->viewport(),"evo" );
	mle->setText(te);
	return mle;
}


void TransDictTableItem::paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected )
{
    QColorGroup g( cg );
    
    g.setColor( QColorGroup::Base, colorName);
    QTableItem::paint( p, g, cr, selected );
}




void TransDictTableItem::insert(QString  t)
{
	if(mle==0) return;
	mle->insert(t);
}

void TransDictTableItem::setColor(QString  colName){
	colorName=colName;
}

void TransDictTableItem::setContentFromEditor( QWidget *w )
{
	mle=0;
	if ( w->inherits( "QMultiLineEdit" ) ){
		setText( ( (QMultiLineEdit*)w )->text() );
		te=( (QMultiLineEdit*)w )->text();
	}
	else
		QTableItem::setContentFromEditor( w );
	// the user changed the value of the combobox, so syncronize the
	// value of the item (text), with the value of the combobox
}
