/****************************************************************************
** $Id: qt/examples/statistics/statistics.h   2.3.1   edited 2001-01-26 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef TRANSDICTTABLEITEM_H
#define TRANSDICTTABLEITEM_H

#include <qtable.h>
#include <qcolor.h>
#include <qsize.h>
#include <qmultilineedit.h>
#include <qcombobox.h>
#include <qscrollview.h>
#include <iostream.h>


class TransDictTableItem : public QTableItem
{
public:
    TransDictTableItem( QTable *t, EditType et,const QString& txt);
    QWidget *createEditor() const; 
    void paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected );
    void insert(QString  t);
    void setColor(QString  colName);
    void setContentFromEditor( QWidget *w );
private:
    QMultiLineEdit *mle;
    QString  te;
    //we reimplement paint method so that color can be chaned as neeeded
    QString colorName;
};
#endif
