/***************************************************************************
  dialog_dictionary_layout.h  -  description
  -------------------
begin                : Thu Nov 1 2001
copyright            : (C) 2001 by Denis Lackovic
email                : delacko@fly.srk.fer.hr
 ***************************************************************************/

/***************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
 ***************************************************************************/

#include "dictionary_layout.h"
#include <qtable.h>

#ifndef DIALOG_DICTIONARY_LAYOUT_H
#define DIALOG_DICTIONARY_LAYOUT_H



class dialog_dl:public Dictionary_layout
{
	Q_OBJECT

	public:
		dialog_dl( QWidget* parent = 0, const char* name = 0,
				bool modal = TRUE, WFlags f = 0 ) :
			Dictionary_layout ( parent, name, modal, f ) {
				Table_fields->verticalHeader()->hide();
				Table_fields->horizontalHeader()->setLabel(0,"Field name",120);
				Table_fields->horizontalHeader()->setLabel(1,"Field type",120);
				Table_fields->horizontalHeader()->setLabel(2,"Primary key",100);
				Table_fields->horizontalHeader()->setLabel(2,"Index",100);
			}

		public slots:
		virtual void on_field_add();
		virtual void on_field_up();
		virtual void on_field_down();
		virtual void on_field_delete();
		virtual void on_create_dictionary_type();

};


#endif
