#!/usr/bin/perl


my $version;

`mkdir win 2>/dev/null`;

open(MFILE,"Makefile");
@lines=<MFILE>;

foreach $line(@lines){
	if(grep(/VERSION = [0-9]*\.[0-9]*/,$line)){
		$line=~s/VERSION = //;
		$line=~s/\n//;
		$version=$line;
	}


}

close(MFILE);

`cp *.h *.cpp win`;
`cp *.ui *.moc win`;

`cp *.xpm *.png win`;

`cp *.db *.conf win`;

open(IN,"evo.cpp");
open(OUT,">win/evo.cpp");

@lines=<IN>;

foreach $line(@lines){
	if(grep(/VERSION/,$line)){
		$line=~s/VERSION/\"$version\"/;
	}
	print OUT $line;
}
close(IN);
close(OUT);
