/***************************************************************************
                          transdictdoc.h  -  description
                             -------------------
    begin                : Ned Vel 24 10:58:57 CET 2002
    copyright            : (C) 2002 by Denis Lackovic
    email                : delacko@fly.srk.fer.hr
 ***************************************************************************/
#ifndef TRANSDICTDOC_H
#define TRANSDICTDOC_H

// include files for QT
#include <qobject.h>

// application specific includes

/**
  * the Document Class
  */

class TransDictDoc : public QObject
{
  Q_OBJECT

  public:
    TransDictDoc();
    ~TransDictDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;

  signals:
    void documentChanged();

  protected:
    bool modified;
};

#endif
