/***************************************************************************
                          PoFileImportDialog.h  -  description
                             -------------------
    begin                : Sun Mar 3 2002
    copyright            : (C) 2002 by Denis Lackovic
    email                : delacko@fly.srk.fer.hr
 ***************************************************************************/
#include <qtextcodec.h>
#include <qlist.h>
#include "po_file_import_dialog.h"
#include "po_file_export_dialog.h"



class PoFileImportDialog:public po_file_import_dialog
{
                 public:
                PoFileImportDialog( QWidget* parent = 0, const char* name = 0,
                                bool modal = TRUE, WFlags f = 0 ) :
                        po_file_import_dialog ( parent, name, modal, f ) {

                        }

		public slots:
			virtual void on_select_file();
};

class PoFileExportDialog:public po_file_export_dialog
{
                 public:
                PoFileExportDialog( QWidget* parent = 0, const char* name = 0,
                                bool modal = TRUE, WFlags f = 0 ) :
                        po_file_export_dialog ( parent, name, modal, f ) {
                        }

		public slots:
			virtual void on_select_origin_file();
			virtual void on_select_export_file();
};
