/****************************************************************************
** $Id: qt/examples/statistics/statistics.h   2.3.1   edited 2001-01-26 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef TRANSDICTTABLE_H
#define TRANSDICTTABLE_H

#include <qwidget.h>
#include <qtable.h>
#include <qaccel.h>
#include "TransDictTableItem.h"
#include <iostream.h>


class TransDictTable : public QTable
{
private:
	void    initTable();

public:
    TransDictTable(QWidget *parent=0,const char *name=0): QTable(parent,name){
	    setNumRows(1);
	    setNumCols(5);
	    initTable();
	    cout <<"ime: -" <<name<<"-\n";
	    for(int i=0; i<5; i++){
		    TransDictTableItem *tdti = new TransDictTableItem( this, QTableItem::OnTyping, "" );
		    setItem( 0, i, tdti );
		    cout <<"punim celiju "<<i<<endl;
	    }
    }
    TransDictTable(): QTable(1,0,0,"evo"){
	    initTable();
    }
        void QPaintDevice (){}
        void sortColumn( int col, bool ascending, bool wholeRows ){

		// sum row should not be sorted, so get rid of it for now
		clearCell( numRows() - 1, 0 );
		clearCell( numRows() - 1, 1 );
		// do sort
		QTable::sortColumn( col, ascending, TRUE );
		// re-insert sum row

		
	}
	
    void posalji();
};
#endif
