drop table eng2crotrans;
drop table Applications;

create table Eng2CroTrans (
	expression text NOT NULL,
	translation text,
	comment text,
	translationOrder smallint,
	translationType smallint,
	appIndex smallint
	translatorIndex smallint
);

create INDEX indEng2CroExp on Eng2CroTrans(expression);
create  INDEX indEng2CroTra on Eng2CroTrans(translation);
create  INDEX indEng2CroApp on Eng2CroTrans(appIndex);


create table Applications (
	appIndex smallint NOT NULL,
	applicationName text NOT NULL,
	applicationVersion text
);

create UNIQUE INDEX indAppAppI on Applications(appIndex,applicationName,applicationVersion);
