/***************************************************************************
base2dialog_functions.cpp  -  description
begin                : Fri Nov 30 2001
copyright            : (C) 2001 by Denis Lackovic
email                : delacko@fly.srk.fer.hr
***************************************************************************/



#include <string.h>
#include <stdio.h>
#include <sys/time.h>


#include <qfile.h>
#include <qsize.h>
#include <qaccel.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qtextcodec.h>
#include <qtextstream.h>
#include<iostream.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qmessagebox.h>
#include <qtable.h>
#include <qsound.h>
#include <qbutton.h>
#include <qtoolbutton.h>
#include <qmultilineedit.h>
#include <qlistbox.h>
#include <qlabel.h>

#include <iostream.h>

#include <qlist.h>
#include "db_2_gui.h"
#include "create_dictionary.h"
#include "edit_dictionary.h"
#include "dialog_create_dictionary.h"
#include "dialog_edit_dictionary.h"
#include "additional_functions.h"
#include "PoFileImportDialog.h"
#include "TransDictTableItem.h"
#include "TransDictTable.h"
#include "sqlite.h"
#include <pgsql/libpq++.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>








void db_to_gui::on_edit_dictionary(){

dialog_ed *dialog=new dialog_ed(this);

dialog->LE_online_server_name->setText(curDict.getDictServer());
dialog->LE_online_server_port->setText(curDict.getDictServerPort());
dialog->LE_online_database_name->setText(curDict.getDictServerDatabase());
dialog->LE_online_user_name->setText(curDict.getDictServerUserName());
dialog->LE_online_password->setText(curDict.getDictServerPassword());

if(dialog->exec()==1){

	curDict.setDictServer(dialog->LE_online_server_name->text());
	curDict.setDictServerPort(dialog->LE_online_server_port->text());
	curDict.setDictServerUserName(dialog->LE_online_user_name->text());
	curDict.setDictServerDatabase(dialog->LE_online_database_name->text());
	curDict.setDictServerPassword(dialog->LE_online_password->text());

	DictDescription *tmpD;
	for(QListIterator<DictDescription> it(curDType.dicts); it.current(); ++it){
		tmpD=it.current();

		if (curDict.getDictName()==tmpD->getDictName()){
			tmpD->setDictServer(curDict.getDictServer());
			tmpD->setDictServerPort(curDict.getDictServerPort());
			tmpD->setDictServerUserName(curDict.getDictServerUserName());
			tmpD->setDictServerDatabase(curDict.getDictServerDatabase());
			tmpD->setDictServerPassword(curDict.getDictServerPassword());
		}
	}
}
save_configuration(getTDConf(),dTypes,curDType,curDict,conf);
delete dialog;
}


void db_to_gui::create_new_dictionary(){

	dialog_cd *dialog=new dialog_cd(this);

	dialog->dTypes=dTypes;
	dialog->curDType=curDType;



	DictType *it;
	int i=1;
	for(it=dTypes.first(); it!=0;it=dTypes.next(),i++){
		dialog->CB_dictionary_type->insertItem(it->typeName);
		if (it->typeName==curDType.typeName){
			dialog->CB_dictionary_type->setCurrentItem(i);
		}
	}

	i=0;
	QStringList keys;
	dialog->Table_dict_fields->setNumRows(curDType.colNames.count());
	for(QStringList::Iterator it=curDType.colNames.begin();it!=curDType.colNames.end(); ++it,i++){
		dialog->Table_dict_fields->setText(i,0,*it);
		dialog->Table_dict_fields->setText(i,1,curDType.colTypes[i]);
		if (curDType.pKey[i].length()!=0){
			keys=keys.split(",",curDType.pKey[i]);
			for ( QStringList::Iterator it = keys.begin(); it != keys.end(); ++it ) {
				printf( "%s \n", (*it).latin1() );
				if(*it=="Primary key"){
					dialog->Table_dict_fields->setText(i,2,*it);
				}
				else {
					QString bu=dialog->Table_dict_fields->text(i,3);

					if(bu.length()==0){
						dialog->Table_dict_fields->setText(i,3,*it);
					}
					else {
						dialog->Table_dict_fields->setText(i,3,bu+","+*it);
					}
				}
			}

		}
	}


	DictDescription tmp;
	DictType tdt;


	if(dialog->exec()==1){

		QRegExp space(" ");
		QRegExp minus("-");
		QString create="create table ";

		QString primKey="PRIMARY KEY(";

		QString dName=dialog->TL_dictionary_name->text();

		tmp.setDictName(dName);

		QString dType=dialog->CB_dictionary_type->currentText();
		QString tName=dName.replace(minus,"")+dType;

		tmp.setTableName(tName);

		//			cout <<"podesavamo rijecnik na "<<dName<<endl;
		tmp.setDictServer(dialog->LE_online_server_name->text());
		tmp.setDictServerPort(dialog->LE_online_server_port->text());
		tmp.setDictServerUserName(dialog->LE_online_user_name->text());
		tmp.setDictServerDatabase(dialog->LE_online_database_name->text());
		tmp.setDictServerPassword(dialog->LE_online_password->text());

		tdt.typeName=dType;

		create+=tName+"(";
		int nR=dialog->Table_dict_fields->numRows();
		int i,j,k;

		QString field;
		QString type;
		QString pkey;
		QString index;
		QStringList keyColumns;
		QStringList keyKeys;
		QStringList pKeyColumns;


		for(i=0; i<nR; i++){

			field=dialog->Table_dict_fields->text(i,0).replace(space,"");
			type=dialog->Table_dict_fields->text(i,1);
			pkey=dialog->Table_dict_fields->text(i,2);
			index=dialog->Table_dict_fields->text(i,3);

			tdt.colNames.append(field);
			tdt.colTypes.append(type);
			tdt.pKey.append(pkey+","+index);


			if (i==0){
				create+=field+" "+type;
			}
			else {
				create+=","+field+" "+type;
			}
			if (pkey.length()!=0){
				pKeyColumns.append(field);
			}
			if(index.length()!=0){
				k=0;
				for (j=0 ; j< keyKeys.count(); j++ ) {
					if (keyKeys[j]==index){
						keyColumns[j]+=","+field;
						k=1;
					}
				}
				if (k==0){
					keyKeys.append(index);
					keyColumns.append(field);
				}
			}
		}

		if (pKeyColumns.count()!=0){
			i=0;
			for ( QStringList::Iterator it = pKeyColumns.begin(); it != pKeyColumns.end(); ++it,i++ ) {

				if (i==0) {
					create+=",PRIMARY KEY("+*it;
				}
				else create+=","+*it;

			}
			create+=")";
		}
		else {
		}

		create+=");";

		//			cout <<"evo, stvaram " <<create<<endl;

		char *zErrMsg;
		QCString cr(create);
		sqlite_exec(database,cr.data(),0,0,&zErrMsg);
		if (zErrMsg){
			QString err(zErrMsg);
			QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );
		}		

		QRegExp distinct("DISTINCT ");
		QRegExp unique("UNIQUE ");


		for (j=0 ; j< keyKeys.count(); j++ ) {
			if(keyKeys[j].find("UNIQUE ")!=-1){
				keyKeys[j].replace(unique,"");
				//					cout <<" create UNIQUE INDEX "<<tName+keyKeys[j]+" on " +tName+"("+keyColumns[j]+");"<<endl;

				QCString cr(" create UNIQUE INDEX "+tName+keyKeys[j]+" on "+tName+"("+keyColumns[j]+");");
				sqlite_exec(database,cr.data(),0,0,&zErrMsg);
				if (zErrMsg){
					QString err(zErrMsg);
					QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );
				}		

			}
			else if(keyKeys[j].find("DISTINCT ")!=-1){
				keyKeys[j].replace(distinct,"");

				QCString cr(" create INDEX "+tName+keyKeys[j]+" on "+tName+"("+keyColumns[j]+");");
				sqlite_exec(database,cr.data(),0,0,&zErrMsg);
				if (zErrMsg){
					QString err(zErrMsg);
					QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );
				}		

				//					cout <<" create INDEX "<<+tName+keyKeys[j]+" on " +tName+"("+keyColumns[j]+");"<<endl;
			}
		}


		//looping once more through dictionary types so that we don't have two types of the same name
		DictType *it;
		int p=0;
		for(it=dTypes.first(); it!=0; it=dTypes.next(),i++){

			if (it->typeName==tdt.typeName){
				it->dicts.append(new DictDescription(tmp.getTableName(),tmp.getDictName(),tmp.getDictServer(),tmp.getDictServerPort(),tmp.getDictServerDatabase(),tmp.getDictServerUserName(),tmp.getDictServerPassword(),tmp.getShortTableName()));
				p=1;
			}
		}
		if (p==0){
			tdt.dicts.append(new DictDescription(tmp.getTableName(),tmp.getDictName(),tmp.getDictServer(),tmp.getDictServerPort(),tmp.getDictServerDatabase(),tmp.getDictServerUserName(),tmp.getDictServerPassword(),tmp.getShortTableName()));
			dTypes.append(new DictType(tdt.typeName,tdt.colNames,tdt.colTypes,tdt.pKey,tdt.dicts));
		}


		save_configuration(getTDConf(),dTypes,curDType,curDict,conf);



	}
	delete dialog;
}

//this function switches beetween dictionaries (opens new dictionary and
//updates all combo boxes that display dictionary names)

void db_to_gui::on_dictionary_changed(const QString & new_dictionary){


	DictDescription *tmp;
	for(QListIterator<DictDescription> it(curDType.dicts); it.current(); ++it){
		tmp=it.current();
		if(tmp->getDictName() == new_dictionary){
			curDict=*tmp;
			break;
		}               	
	}

	//changing all comboboxes to new dictionary

	int i;
	for (i=0; i < CB_dictionary_choice->count(); i++){
		if (CB_dictionary_choice->text(i)==new_dictionary){
			CB_dictionary_choice->setCurrentItem(i);
			break;
		}
	}
	int nfields = curDType.colNames.count() -1;


	Table_results->setNumCols(nfields);
	Table_add->setNumCols(nfields+1);

	//changing fields to new fields in new dictionary
	i=0;
	for(QStringList::Iterator it=curDType.colNames.begin();it!=curDType.colNames.end(); ++it,i++){
		if(i==0){
			TL1_phraze->setText(*it);
		}
		else {
			Table_results->horizontalHeader()->setLabel(i-1,*it,100);
		}
		Table_add->horizontalHeader()->setLabel(i,*it,100);
	}
	save_configuration(getTDConf(),dTypes,curDType,curDict,conf);
}

void db_to_gui::on_dictionary_type_changed(const QString & type){
	DictType *it;
	for(it=dTypes.first(); it!=0; it=dTypes.next()){
		if(it->typeName==type){
			curDType=*it;
			break;
		}
	}

	LB_dictionaries->clear();
	CB_dictionary_choice->clear();


	int i=0;
	DictDescription *tmpD;
	for(QListIterator<DictDescription> it(curDType.dicts); it.current(); ++it,i++){
		tmpD=it.current();
		LB_dictionaries->insertItem(tmpD->getDictName(),i);
		CB_dictionary_choice->insertItem(tmpD->getDictName(),i);
	}

	i=0;
	for(QStringList::Iterator it=curDType.colNames.begin();it!=curDType.colNames.end(); ++it,i++){
		if(i==0){
			TL1_phraze->setText(*it);
		}
		else {
			Table_results->horizontalHeader()->setLabel(i-1,*it,100);
		}
		//specific to translation
		if(*it=="Translation"){
			Table_search->setText(0,i,"NULL");
		}
		Table_add->horizontalHeader()->setLabel(i,*it,100);
		Table_search->horizontalHeader()->setLabel(i,*it,100);
	}


	save_configuration(getTDConf(),dTypes,curDType,curDict,conf);
}

void db_to_gui::on_save_configuration(){
	save_configuration(getTDConf(),dTypes,curDType,curDict,conf);
}

void db_to_gui::add_row(int x, int y){
	int numRows=Table_add->numRows();
	if (x==(numRows-1)){
		Table_add->setNumRows(numRows+1);
	}
}

void db_to_gui::on_user_info_change(){
	conf.setUserName(LE_username->text());
	conf.setUserEmail(LE_email->text());
	conf.setLanguageTeam(LE_team->text());
	conf.setImportEncoding(CB_default_import_encoding->currentText());
	conf.setExportEncoding(CB_default_export_encoding->currentText());
}



void db_to_gui::on_sync_local_to_server(){
	int i;

	QRegExp rn("\\\\");
	QRegExp space(" ");
	QRegExp pr("'");
	QString cols,vals;
	int to,an,ex;

	for(i=0;i<curDType.colNames.count();i++){
		if (curDType.colNames[i].replace(space,"")=="sync"){
			to=i;
			cout <<"ova kolumna je trorder "<<i<<endl;
		}
		else if (curDType.colNames[i].replace(space,"")=="Expression"){
			ex=i;
		}
		else if (curDType.colNames[i].replace(space,"")=="Applicationname"){
			an=i;
		}

		if (i==0){
			cols=curDType.colNames[0].replace(space,"");
		}
		else {
			cols+=","+curDType.colNames[i].replace(space,"");
		}
	}

	//query gets all translated, but not synced (with server) queries from local database
	QString select="select "+cols+" from "+curDict.getTableName();
	select+=" where sync=100 or sync=200;";

	QCString buf(select);
	cout <<"dajemo upit lokalnoj bazi " <<buf.data()<<endl;

	int nRow, nCol, rc;
	char *errMsg;
	char ** result;
	//sending select to database
	rc=sqlite_get_table(database,buf.data(),&result,&nRow,&nCol,&errMsg);
	if (errMsg){
		QString err(errMsg);
		QMessageBox::information( 0, "Error request to database", "Faulty request to database: \n"+ err, QMessageBox::Ok );
		sqlite_free_table(result);
	}

	cout <<"\nimamo "<<nRow <<" redaka za slanje udaljenoj bazi\n"<<endl;
	cout <<"radi se o " <<nCol << " kolumni\n";
	QString field,query;
	int h=0,k,j;
	QString syn;
	QStringList colN,colV;

	//for each row that is to be sent to remote database
	for (i=0; i<nRow; i++){
		cout <<"\nredak "<<i<<endl;
		h=0;
		colN.clear();
		colV.clear();
		// for each field of that row
		for(j=0; j<nCol ; j++){
			if(j!=to){

				//values are prepared for insertion or update to remote database
				field=field.fromUtf8(result[i * nCol+j+nCol]);
				field.replace(pr,"''");

				cout<<"\n\n[" <<i <<","<<j<<"] ===> polje: "<<curDType.colNames[j] <<": "<< field<<endl;
				if ((h==0) && (field.length()!=0)){

					cout<<"\npolje: "<<curDType.colNames[j] <<": "<< field<<endl;
					cols=curDType.colNames[j];
					colN.append(curDType.colNames[j]);


					if(curDType.colTypes[j]=="text"){
						vals="'"+field+"'";
						colV.append("'"+field+"'");
					}
					else {
						vals=field;
						colV.append(field);
					}
					h=1;
				}
				else if((h==1)&& (field.length()!=0)){

					cout<<"\npolje: "<<curDType.colNames[j] <<": "<< field<<endl;
					cols+=","+curDType.colNames[j];
					colN.append(curDType.colNames[j]);

					if(curDType.colTypes[j]=="text"){
						vals+=",'"+field+"'";
						colV.append("'"+field+"'");
					}
					else {
						vals+=","+field;
						colV.append(field);
					}
				}
			}
		}
		//deciding wether to update on insert into remote database 
		syn=result[i * nCol+ to +nCol];
//		cout <<" a tro je : " <<syn<<",a  to je " <<to <<endl;
//		cout <<" ili "<<result[i * nCol+ to +nCol]<<endl;
		if (syn=="100"){
			query="insert into "+curDict.getTableName()+"("+cols+",sync)";
			query+="values("+vals+",50);";
			cout <<"query za 100: "<<query<<endl;
			buf=query.utf8();

			cout<<"\n-->ubacujem u udaljenu bazu: \n"<<buf.data()<<endl;
			buf.replace(rn,"\\\\");
			if(!onlineDb->ExecTuplesOk(buf.data())){
				QString errorM(onlineDb->ErrorMessage());
				QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
			}

		}
		else if (syn=="200"){
			query="update "+curDict.getTableName()+" set ";
			k=0,h=0;
			for(QStringList::Iterator it=colN.begin();it!=colN.end(); ++it,k++){
				if(*it!="Expression" && *it!="Applicationname"){
					if (h==0){
						query+=*it+"="+colV[k];
						h=1;
					}
					else{
						query+=","+*it+"="+colV[k];
					}
				}
			}

			query+=",sync=50 where applicationname=";
			field=result[(i * nCol) + nCol+ an];
			field.replace(pr,"''");
			query+="'"+field+"'";
			query+=" and expression=";
			field=result[(i * nCol) + nCol +ex];
			field.replace(pr,"''");
			query+="'"+field+"'";
			query+=";";

			buf=query.utf8();
			buf.replace(rn,"\\\\");
			cout<<"\n==>updateam udaljenu bazu: \n"<<buf.data()<<endl;
			if(!onlineDb->ExecCommandOk(buf.data())){
				QString errorM(onlineDb->ErrorMessage());
				QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM+"\nTerminating connection\n", QMessageBox::Ok );                
				sqlite_free_table(result);
				return;
			}
		}
	}
	cout<<" \n"<<endl;
	for (i=0; i<nRow; i++){
		query="update "+curDict.getTableName()+" set ";

		query+="sync=60 where sync=200 or sync=100  and applicationname=";

		field=result[i * nCol+ an +nCol];
		field.replace(pr,"''");
		query+="'"+field+"'";
		query+=" and expression=";
		field=result[i * nCol+ ex +nCol];
		field.replace(pr,"''");
		query+="'"+field+"'";
		query+=";";
		cout <<"\nlokalni query za 200: "<<query<<endl;

		buf=query.utf8();

		sqlite_exec(database,buf.data(),0,0,&errMsg);
		if (errMsg){
			QString err(errMsg);
			QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err+ "\nTerminating writting\n", QMessageBox::Ok );
			sqlite_free_table(result);
			return;
		}		
	}

	//updating local rows (setting sync=50)


		sqlite_free_table(result);

}



void db_to_gui::on_sync_server_to_local(){

//	int nCols=Table_add->numCols();
	int i,j,to;
	QString appname="";


	QRegExp space(" ");
	QRegExp pr("'");
	QString cols,vals;

	cols=curDType.colNames[0].replace(space,"");
	for(i=1;i<curDType.colNames.count();i++){
		cols+=","+curDType.colNames[i].replace(space,"");
		if(curDType.colNames[i]=="sync"){
			to=i;
		}
		else if(curDType.colNames[i]=="Applicationname"){
			appname=Table_search->text(0,i);
		}
	}

	//here we assemble sql query, acording to which columns are filled,
	//and what types they are;


	if(appname.length()==0){
		appname="NULL";
	}
	else {
		appname=appname.replace(pr,"''");
		appname="'%"+appname+"%'";
	}


	//reserving rows in database
	QString get="select "+curDict.getShortTableName()+"_reserve_for_translation("+LE_limit->text()+","+appname+");";
	QCString buf(get);
	cout <<"saljem " <<get<<endl;
	if(!onlineDb->ExecTuplesOk(buf.data())){
		QString errorM(onlineDb->ErrorMessage());
		QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
	}

	//	cout <<"imamo kolumne: " <<endl<<cols<<endl;
	QString select="select "+cols+" from "+curDict.getTableName();
	select+=" where sync=1100 and dbusername=user;";
	//select+=" where sync=1100 and changedate='today' and dbusername=user;";

	buf=select;
	cout <<"saljem\n" <<buf.data()<<endl;
	if(!onlineDb->ExecTuplesOk(buf.data())){
		QString errorM(onlineDb->ErrorMessage());
		QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
	}

	cout <<"dohvacamo rezervirane   " <<select<<endl;
	int nRow=onlineDb->Tuples();
	int nCol=curDType.colNames.count();	
	cout <<"=======imamo ovoliko rezerviranih "<<nRow<<endl;


	QString insert;
	char *zErrMsg;
	QString hlp;
	for (i=0; i<nRow; i++){
		cols="";
		vals="";
		insert="insert into "+curDict.getTableName()+"(";
		//+cols+") values("; 
		for(j=0; j<nCol; j++){
			//geting field from remote database
			hlp=hlp.fromUtf8(onlineDb->GetValue(i,j));
			hlp.replace(pr,"''");
			if (j==0){
				if (j==to){
					cols="sync";
					vals="950";
				}
				else if(hlp.length()!=0){
					cols=curDType.colNames[j];
					if(curDType.colTypes[j]=="text"){
						vals="'"+hlp+"'";
					}
					else {
						vals=hlp;
					}
				}
				//insert+=insert.fromUtf8(onlineDb->GetValue(i,j));
			}
			else {
				if (j==to){
					cols+=",sync";
					vals+=",950";
				}
				else if(hlp.length()!=0){
					cols+=","+curDType.colNames[j];
					if(curDType.colTypes[j]=="text"){
						vals+=",'"+hlp+"'";
					}
					else {
						vals+=","+hlp;
					}
				}

				//	insert+=","+insert.fromUtf8(onlineDb->GetValue(i,j));
			}
			//			cout <<onlineDb->GetValue(i,j)<<endl;
		}
		//+cols+") values("; 
		insert+=cols+") values("+vals+");";
		//inserting into local database
		cout <<"\n\nprimili\n"<<insert<<endl;
		sqlite_exec(database,insert.data(),0,0,&zErrMsg);
		if (zErrMsg){
			QString err(zErrMsg);
			QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err+"\nTerminating local database update", QMessageBox::Ok );
			return;
		}		
	}

	cout <<"-------------------->radimo update na 1200\n\n";
	QString update="update "+curDict.getTableName()+" set sync=1200 where sync=1100 and dbusername=user;";

	if(!onlineDb->ExecCommandOk(update.latin1())){
		QString errorM(onlineDb->ErrorMessage());
		QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
	}



}
void db_to_gui::on_local_to_table(){

	int nRow, nCol, rc;
	char *errMsg;
	char ** result;
	unsigned int i,j;
	int aa;

	int nRows=Table_add->numRows();
	int nCols=Table_add->numCols();

	//deleting memory of prevously allocated items
	TransDictTableItem *t;
	for (aa=nRows;aa>=0;aa--){
		for(j=0;j<nCols;j++){
			t=(TransDictTableItem *)Table_add->item(aa,j);
			delete t;
		}
	}

	//	QString tables="";
	//	QString values="";
	//	QColor wrong(164,242,184);

	Table_add->setNumRows(0);
	//	Table_add->setNumRows(5);

	QStringList columns,values;
	QStringList & colR=columns;
	QStringList & valR=values;


	//we are moving focus from the currently selected cell, because I find
	//this the only way to get text written in the last cell. It seems
	//that value of cell changes only when focus changes.
	int cC=Table_search->currentColumn();
	if (cC!=0){
		Table_search->setCurrentCell(0,0);
	}
	else {
		Table_search->setCurrentCell(0,1);
	}




	//we are getting values under which query is going to be made, e.g. if
	//coulmn i Table_search has written NULL then a select might look something like
	//this: select column from dictionary_name where column=NULL:
	if (getColumnsAndValues(Table_search,0,colR,valR)!=0){
		cout <<"greskica u tablici"<<endl;
		return;
	}
	//	cout <<"imamo "<<columns.count() <<" stupaca za zahtjev"<<endl;


	QRegExp space(" ");
	QString colNames;
	colNames=curDType.colNames[0].replace(space,"");
	for(i=1;i<curDType.colNames.count();i++){
		colNames+=","+curDType.colNames[i].replace(space,"");
	}

	//here we assemble sql query, acording to which columns are filled,
	//and what types they are;
	QString select="select "+colNames+" from "+curDict.getTableName();

	for(i=0; i<columns.count();i++){
		if(i==0){
			if(values[i].find("'")!=-1){
				select+=" where "+columns[0].replace(space,"") +" LIKE "+values[0];
				//				cout <<"pazi, ova ima '"<<endl;
			}
			else {
				if(values[i]=="NULL"){
					select+=" where "+columns[i].replace(space,"") +" IS NULL";
				}
				else {
					select+=" where "+columns[i].replace(space,"") +"="+values[i];
				}
			}
		}
		else {
			if(values[i].find("'")!=-1){
				select+=" and "+columns[i].replace(space,"") +" LIKE "+values[i];
			}
			else {
				if(values[i]=="NULL"){
					select+=" and "+columns[i].replace(space,"") +" IS NULL";
				}
				else{
					select+=" and "+columns[i].replace(space,"") +"="+values[i];
				}
			}
		}
	}
	select+=" LIMIT "+LE_limit->text()+";";


	QCString buf=select.utf8();
	cout <<"dajemo upit lokalnoj 1 bazi " <<select<<endl;

	//sending select to database

	rc=sqlite_get_table(database,buf.data(),&result,&nRow,&nCol,&errMsg);
	if (errMsg){
		QString err(errMsg);
		QMessageBox::information( 0, "Error request to database", "Faulty request to database: \n"+ err, QMessageBox::Ok );
	}
	cout <<"imamo "<< nRow << " redaka" <<endl;
	//

	if (nRow==0) {
//		sqlite_free_table(result);
		return ;
	}

	Table_add->setNumRows(nRow);

	QStringList dd;
	int hlp;


	QString to_add;

	TransDictTableItem *ti;
	Table_add->blockSignals(TRUE);
	Table_add->setUpdatesEnabled(FALSE);
	Table_add->hide();


	struct timeval begin,end;
	gettimeofday(&begin,NULL);

	for (i=0; i<nRow; i++){
		for(j=0; j<nCol; j++){
			to_add=to_add.fromUtf8(result[i * nCol+j+nCol]);
			ti = new TransDictTableItem( Table_add, QTableItem::OnTyping, to_add );
			Table_add->setItem( i, j, ti );
			if (j==0){
				hlp=40;
				for (aa=0; aa<to_add.length(); aa++){
					if(to_add[aa]=='\n') hlp+=15;
				}
				Table_add->setRowHeight(i,hlp);
			}
		}
	}
	gettimeofday(&end,NULL);
	Table_add->setUpdatesEnabled(TRUE);
	Table_add->repaint();
	Table_add->blockSignals(FALSE);
	Table_add->show();
	sqlite_free_table(result);
	cout <<endl<<endl<<"Za ovaj item nam treba: "<< end.tv_sec - begin.tv_sec <<" s i "<< end.tv_usec - begin.tv_usec<<" us"<<endl;
}


void db_to_gui::on_server_to_table(){
	int nRow, nCol;
	//	char *errMsg;
	//	char ** result;
	unsigned int i,j;
	int aa;
	QRegExp rn("\\\\");

	int nRows=Table_add->numRows();
	int nCols=Table_add->numCols();

	//deleting memory of prevously llocated items
	TransDictTableItem *t;
	for (aa=nRows-1;aa>=0;aa--){
		for(j=0;j<nCols;j++){
			t=(TransDictTableItem *)Table_add->item(aa,j);
			delete t;
		}
	}


	Table_add->setNumRows(0);

	QStringList columns,values;
	QStringList & colR=columns;
	QStringList & valR=values;



	if (getColumnsAndValues(Table_search,0,colR,valR)!=0){
		cout <<"greskica u tablici"<<endl;
		return;
	}
	cout <<"imamo "<<columns.count() <<" stupaca za zahtjev"<<endl;


	QRegExp space(" ");
	QString colNames;
	colNames=curDType.colNames[0].replace(space,"");
	for(i=1;i<curDType.colNames.count();i++){
		colNames+=","+curDType.colNames[i].replace(space,"");
	}

	//here we assemble sql query, acording to which columns are filled,
	//and what types they are;
	QString select="select "+colNames+" from "+curDict.getTableName();

	for(i=0; i<columns.count();i++){
		if(i==0){
			if(values[0].find("'")!=-1){
				select+=" where "+columns[0].replace(space,"") +" LIKE "+values[0];
			}
			else {
				if(values[i]=="NULL"){
					select+=" where "+columns[i].replace(space,"") +" IS NULL";
				}
				else {
					select+=" where "+columns[i].replace(space,"") +"="+values[i];
				}
			}
		}
		else {
			if(values[i].find("'")!=-1){
				select+=" and "+columns[i].replace(space,"") +" LIKE "+values[i];
			}
			else {
				if(values[i]=="NULL"){
					select+=" and "+columns[i].replace(space,"") +" IS NULL";
				}
				else{
					select+=" and "+columns[i].replace(space,"") +"="+values[i];
				}
			}
		}
	}
	select+=" LIMIT "+LE_limit->text()+";";


	QCString buf=select.utf8();
	buf.replace(rn,"\\\\");
	cout <<"dajemo upit udaljenoj bazi " <<select<<endl;

	if(!onlineDb->ExecTuplesOk(buf.data())){
		QString errorM(onlineDb->ErrorMessage());
		QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
	}

	nRow=onlineDb->Tuples();
	nCol=curDType.colNames.count();	
	cout <<"imamo redaka "<<nRow<<endl;

	Table_add->setNumRows(nRow);
	int hlp=0;

	QString to_add;
	TransDictTableItem *ti;
	struct timeval begin,end;
	Table_add->blockSignals(TRUE);
	Table_add->setUpdatesEnabled(FALSE);
	Table_add->hide();


	gettimeofday(&begin,NULL);

	for (i=0; i<nRow; i++)
		for(j=0; j<nCol; j++){
			to_add=to_add.fromUtf8(onlineDb->GetValue(i,j));
			cout <<onlineDb->GetValue(i,j)<<endl;
			//to_add=to_add.fromUtf8(result[i * nCol+j+nCol]);
			ti = new TransDictTableItem( Table_add, QTableItem::OnTyping, to_add );
			Table_add->setItem( i, j, ti );
			if (j==0){
				hlp=40;
				for (aa=0; aa<to_add.length(); aa++){
					if(to_add[aa]=='\n') hlp+=15;
				}

				Table_add->setRowHeight(i,hlp);
			}
		}
	gettimeofday(&end,NULL);
	Table_add->setUpdatesEnabled(TRUE);
	Table_add->repaint();
	Table_add->blockSignals(FALSE);
	Table_add->show();
	cout <<endl<<endl<<"Za ovaj item nam treba: "<< end.tv_sec - begin.tv_sec <<" s i "<< end.tv_usec - begin.tv_usec<<" us"<<endl;
}

void db_to_gui::insert_query_to_database(bool local){

int i,j;
QRegExp space("[ \t]");
QRegExp rn("\\\\");
QRegExp pr("'");
QRegExp minus("-");
char *zErrMsg;

//we are moving focus from the currently selected cell, because I find
//this the only way to get text written in the last cell. It seems
//that value of cell changes only when focus changes (repaint doesn't work for me)
int cC=Table_add->currentColumn();
int cR=Table_add->currentRow();

if (cC!=0){
	Table_add->setCurrentCell(cR,0);
}
else {
	Table_add->setCurrentCell(cR,1);
}

int nRows=Table_add->numRows();
int nCols=Table_add->numCols();


if (curDType.typeName=="localization"){
	int doc,e,t,a;
	for(j=0; j<nCols; j++){
		if(curDType.colNames[j]=="sync"){
			doc=j;
		}
		else if(curDType.colNames[j]=="Expression"){
			e=j;

		}
		else if(curDType.colNames[j]=="Translation"){
			t=j;
		}
		else if(curDType.colNames[j]=="Applicationname"){
		//		curDict.setTableName(hlp);
			a=j;
		}
	}

	QString vals;
	QString cols;
	QString query;
	QString where;
	QString  tro,tra,exp,app;
	QString field;

	for(i=0; i<nRows; i++){

		tra=Table_add->text(i,t);
		if(tra.length()!=0){

			tro=Table_add->text(i,doc);
			exp=Table_add->text(i,e);
			app=Table_add->text(i,a);
			exp.replace(pr,"''");
			app.replace(pr,"''");


			if(local &&(tro=="100"|| tro=="900")){
				query="update "+curDict.getTableName()+ " set sync=100";
				for(j=0; j<nCols; j++){
					field=Table_add->text(i,j);

					if (field.length()!=0){
						field.replace(pr,"''");

						if(j!=doc && j!=e && j!=a){
							if(curDType.colTypes[j]=="text"){
								query+=","+curDType.colNames[j]+"='"+field+"'";
							}
							else {
								query+=","+curDType.colNames[j]+"="+field;
							}
						}
					}
				}

				query+=" where expression='"+exp+"' and applicationname='"+app+ "';";

			}
			else if(local && (tro=="950"|| tro=="200" || tro=="60" )){
				query="update "+curDict.getTableName()+ " set sync=200";
				for(j=0; j<nCols; j++){
					field=Table_add->text(i,j);

					if (field.length()!=0){
						field.replace(pr,"''");

						if(j!=doc && j!=e && j!=a){
							if(curDType.colTypes[j]=="text"){
								query+=","+curDType.colNames[j]+"='"+field+"'";
							}
							else {
								query+=","+curDType.colNames[j]+"="+field;
							}
						}
					}
				}

				query+=" where expression='"+exp+"' and applicationname='"+app+ "';";
			}
			else if(local && (tro=="1000"||tro=="1100" || tro=="1200"||tro=="50")){
				query="insert into "+curDict.getTableName()+"(";
				for(j=0; j<nCols; j++){

					field=Table_add->text(i,j);

					if (field.length()!=0){	
						field.replace(pr,"''");
						if(j==0){
							cols=curDType.colNames[j];
							if (j==doc){
								vals="200";
							}
							else if(curDType.colTypes[j]=="text"){
								vals="'"+field+"'";
							}
							else {
								vals=field;
							}
						}
						else {
							cols+=","+curDType.colNames[j];
							if (j==doc){
								vals+=",200";
							}
							else if(curDType.colTypes[j]=="text"){
								vals+=",'"+field+"'";
							}
							else {
								vals+=","+field;
							}
						}
					}
				}
				query+=cols+") values("+vals+");";
			}
			else if((!local) && (tro=="50"|| tro=="60" || tro=="200" ||  tro=="950" || tro=="1000"|| tro=="1100"|| tro=="1200")){
				query="update "+curDict.getTableName()+ " set sync=50";
				for(j=0; j<nCols; j++){
					field=Table_add->text(i,j);

					if (field.length()!=0){
						field.replace(pr,"''");

						if(j!=doc && j!=e && j!=a){
							if(curDType.colTypes[j]=="text"){
								query+=","+curDType.colNames[j]+"='"+field+"'";
							}
							else {
								query+=","+curDType.colNames[j]+"="+field;
							}
						}
					}
				}
				query+=" where expression='"+exp+"' and applicationname='"+app+ "';";
			}
			else if((!local) && (tro=="100"|| tro=="900")){
				query="insert into "+curDict.getTableName()+"(";
				for(j=0; j<nCols; j++){

					field=Table_add->text(i,j);

					if (field.length()!=0){	
						field.replace(pr,"''");
						if(j==0){
							cols=curDType.colNames[j];
							if (j==doc){
								vals="50";
							}
							else if(curDType.colTypes[j]=="text"){
								vals="'"+field+"'";
							}
							else {
								vals=field;
							}
						}
						else {
							cols+=","+curDType.colNames[j];
							if (j==doc){
								vals+=",50";
							}
							else if(curDType.colTypes[j]=="text"){
								vals+=",'"+field+"'";
							}
							else {
								vals+=","+field;
							}
						}
					}
				}
				query+=cols+") values("+vals+");";
			}
			else if(tro.length()==0){
				query="insert into "+curDict.getTableName()+"(";
				for(j=0; j<nCols; j++){

					field=Table_add->text(i,j);

					if (field.length()!=0){	
						field.replace(pr,"''");
						if(j==0){
							cols=curDType.colNames[j];
							if(curDType.colTypes[j]=="text"){
								vals="'"+field+"'";
							}
							else {
								vals=field;
							}
						}
						else {
							cols+=","+curDType.colNames[j];
							if(curDType.colTypes[j]=="text"){
								vals+=",'"+field+"'";
							}
							else {
								vals+=","+field;
							}
						}
					}
				}
				query+=cols+") values("+vals+");";
			}
			else{
				//error, nothing else should be written here

			}


			QCString buf(query.utf8());
			//here we branch our api acording to which database (local or remote) user sends request
			if(local){
				
				sqlite_exec(database,buf.data(),0,0,&zErrMsg);
				if (zErrMsg){
					QString err(zErrMsg);
					QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );
				}		
			}
			else {
				buf.replace(rn,"\\\\");
				if(!onlineDb->ExecCommandOk(buf.data())){

					// this is disabled due to to much error notifications when doing insertions 
					//QString errorM(onlineDb->ErrorMessage());
					//QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
				}

				
			}

			cout <<endl<<"upit:"<<endl<<query<<endl;

		}
	}
}
}

void db_to_gui::on_save_table_to_local(){
//if TRUE query will be sent to local database, if FALSE query will be sent to remote database
insert_query_to_database(TRUE);

}
void db_to_gui::on_save_table_to_server(){
//if TRUE query will be sent to local database, if FALSE query will be sent to remote database
insert_query_to_database(FALSE);
}

void db_to_gui::find_type(QString columnName, QString & columnType){
//
/*
dict_field *tmp;

for(QListIterator<dict_field> it(curDict_descr.dict_fields); it.current(); ++it){
	tmp=it.current();
	cout <<"ime: "<<tmp->field_name <<", tip: "<< tmp->field_type<<endl;
	if (tmp->field_name=="columnName"){
		columnType=tmp->field_type;
		break;
	}
}
*/
}

void db_to_gui::on_save_translations(){

	int i,j;
	int num;
	bool ok;
	QRegExp space("[ \t]");
	QRegExp pr("'");
	QRegExp minus("-");
	char *zErrMsg;


	//we are moving focus from the currently selected cell, because I find
	//this the only way to get text written in the last cell. It seems
	//that value of cell changes only when focus changes.
	int cC=Table_add->currentColumn();
	int cR=Table_add->currentRow();

	if (cC!=0){
		Table_add->setCurrentCell(cR,0);
	}
	else {
		Table_add->setCurrentCell(cR,1);
	}

	int nRows=Table_add->numRows();
	int nCols=Table_add->numCols();

	cout <<"trazimo tipove\n";
	j=0;

	for(i=0; i<nRows; i++){
		QString values;
		QString tables;

		QString insert="insert into "+curDict.getTableName()+"(" ;
		cout <<"red "<<i<<endl;

		for(j=0; j<nCols; j++){

			QString colValue=Table_add->text(i,j);
			colValue.replace(pr,"''");

			if (j==0 && Table_add->text(i,0).length()==0) break;
			else if (j==0) {

				tables=curDType.colNames[0];
				QString type=curDType.colTypes[0];

				if (type=="text"){
					values="'"+colValue+"'";
				}
				else if(type="smallint"){
					//checking if col value is integer
					num=colValue.toInt(&ok,10);
					if (ok==TRUE){
						values=colValue;
					}
					else {
						// we are aborting this row because number is not valid
						//						cout <<"prekidamo jer glavni zahtjev nije zadovoljen"<<endl;
						tables="";
						break;
					}
				}
			}
			else if (Table_add->text(i,j).length()!=0){
				tables+=","+curDType.colNames[j];
				QString type=curDType.colTypes[j];

				if (type=="text"){
					values+=",'"+colValue+"'";
				}
				else if(type="smallint"){
					//checking if col value is integer
					num=colValue.toInt(&ok,10);
					if (ok==TRUE){
						values+=","+colValue;
					}
					else {
						// we are aborting this row
						// because number is not valid
						tables="";
						break;
					}
				}

			}
		}
		if (tables.length()!=0){
			insert+=tables+") values("+values+");";
			//			cout << "saljemo zahtjev:"+insert <<endl;
			QCString buf(insert);

			sqlite_exec(database,insert.data(),0,0,&zErrMsg);
			if (zErrMsg){
				QString err(zErrMsg);
				QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );
			}		
			//insert_into_dictionary(insert);
			//make insert - to local or remote database
		}
	}
}
void db_to_gui::on_copy_expression_to_translation(){
	
	if(Table_add->numRows()==0) return;

	int cR=Table_add->currentRow();
	int expressionCol=-1;
	int translationCol=-1;
	
	int i=0;
	for(QStringList::Iterator it=curDType.colNames.begin();it!=curDType.colNames.end(); ++it,i++){
		if(*it=="Expression"){
			expressionCol=i;
		}
		if(*it=="Translation"){
			translationCol=i;
		}
	}
	QString text=Table_add->text(cR,expressionCol);
//	Table_add->setText(cR,translationCol,text);

	TransDictTableItem *t=(TransDictTableItem *)Table_add->item(cR,translationCol);
	delete  t;
	t = new TransDictTableItem( Table_add, QTableItem::OnTyping, text);
	
//	t->setText(text);
	Table_add->setItem(cR,translationCol,t);
}
void db_to_gui::on_add_new_row(){
	int nRows=Table_add->numRows();
	int nCols=curDType.colNames.count();
	int i;
	
	Table_add->setNumRows(nRows+1);
	for(i=0; i<nCols; i++){
		cout <<"it: " <<nRows << "," <<i <<"  " <<endl;
		TransDictTableItem *tdti = new TransDictTableItem( Table_add, QTableItem::OnTyping, "" );
		Table_add->setItem( nRows, i, tdti );
	}
}
void db_to_gui::on_delete_row(){

	if(Table_add->numRows()==0) return;
	int cR=Table_add->currentRow();
	int nCols=curDType.colNames.count();


	TransDictTableItem *t;
	
	for(int i=0;i<nCols; i++){
		t=(TransDictTableItem *)Table_add->item(cR,i);
		delete  t;
		t = new TransDictTableItem( Table_add, QTableItem::OnTyping, "");
		Table_add->setItem(cR,i,t);
	}
	//hiding row, it would tak to much cycles to realy delte row - entire table should be deleted 
	//and recreated.
	Table_add->hideRow(cR);
	if(cR>0) Table_add->setCurrentCell(cR-1,0);
	if(cR==0){
		if (Table_add->numRows()>0){
			Table_add->setCurrentCell(cR+1,0);
		}
	}
	
	
}
void db_to_gui::on_clear_table(){
	if(Table_add->numRows()==0) return;
	int nRows=Table_add->numRows();
	int nCols=Table_add->numCols();
	int i,j;

	//deleting memory of prevously allocated items
	TransDictTableItem *t;
	for (i=nRows;i>=0;i--){
		for(j=0;j<nCols;j++){
			t=(TransDictTableItem *)Table_add->item(i,j);
			delete t;
		}
	}

	Table_add->setNumRows(0);
}

int db_to_gui::insert_into_dictionary(QString sqlText){
QCString buf;
buf=sqlText.utf8();

int rc = sqlite_exec(database,buf.data(),0,0,0);

return rc;
}

void db_to_gui::sendReturnToCell(){
	int cC=Table_add->currentColumn();
	int cR=Table_add->currentRow();
	if(Table_add->numRows()==0) return;
	
	TransDictTableItem *ac=(TransDictTableItem *)Table_add->item(cR,cC);
	ac->insert("\n");
}


void db_to_gui::init(){
	DictDescription *tmpD;
cout <<"konfiguracijska datoteka " <<getTDConf()<<endl;
	get_dictionaries(getTDConf(),dTypes,curDType,curDict,conf);


	//seting accelerator to catch Return key press, so that multiline text could be edited in tables
	QAccel *b = new QAccel(Table_add,this);
	b->connectItem( b->insertItem(Key_Return),this,SLOT(sendReturnToCell()) );

	int i=0;

	//puting dictionary types into comobo box (dictionary type)
	DictType *it;
	for(it=dTypes.first(); it!=0; it=dTypes.next(),i++){
		CB_dictionary_type->insertItem(it->typeName,i);
		if(it->typeName==curDType.typeName){
			CB_dictionary_type->setCurrentItem(i);
			curDType.dicts=it->dicts;
		}
	}

	//putting all dictionaries of currently selected dictionary type into combo box (dictionary name)
	i=0;	
	for(QListIterator<DictDescription> it(curDType.dicts); it.current(); ++it,i++){
		tmpD=it.current();
		LB_dictionaries->insertItem(tmpD->getDictName(),i);
		CB_dictionary_choice->insertItem(tmpD->getDictName(),i);

		if (curDict.getDictName()==tmpD->getDictName()) {
			CB_dictionary_choice->setCurrentItem(i);
		}
	}

	//seting personal options
	LE_username->setText(conf.getUserName());
	LE_email->setText(conf.getUserEmail());
	LE_team->setText(conf.getLanguageTeam());


	Table_search->setLeftMargin( 0 );
	Table_search->verticalHeader()->hide();

	Table_results->setLeftMargin( 0 );
	Table_results->verticalHeader()->hide();

	int nfields = curDType.colNames.count() -1;
	Table_results->setNumCols(nfields);
	Table_add->setNumCols(nfields+1);
	Table_search->setNumCols(nfields+1);

//	Table_search->setRowHeight(0,40);

	//setting column names on tables according to  currently selected dictionary type
	i=0;
	for(QStringList::Iterator it=curDType.colNames.begin();it!=curDType.colNames.end(); ++it,i++){
		TransDictTableItem *tdti = new TransDictTableItem( Table_search, QTableItem::OnTyping, "" );
		Table_search->setItem( 0, i, tdti );
		if(i==0){
			TL1_phraze->setText(*it);
		}
		else {
			Table_results->horizontalHeader()->setLabel(i-1,*it,100);
		}
		//specific to translation
		if(*it=="Translation"){
			Table_search->setText(0,i,"NULL");
		}
		Table_add->horizontalHeader()->setLabel(i,*it,100);
		Table_search->horizontalHeader()->setLabel(i,*it,100);
	}
	Table_results->setNumCols(i-1);


	//determening if we should connect to online dictionary, or this is to be done manually
	if(CB_go_online->isOn()){
		connect_to_online_dictionary(FALSE);
	}
	else {
		//disabling buttons for communication with remote database
		TB_server_to_table->setDisabled(TRUE);
		TB_table_to_server->setDisabled(TRUE);
		TB_server_to_local->setDisabled(TRUE);
		TB_local_to_server->setDisabled(TRUE);
	}

	//seting encodings
	QString importEnc=conf.getImportEncoding();
	QString exportEnc=conf.getExportEncoding();

	if(importEnc.length()!=0){
		CB_default_import_encoding->insertItem(importEnc);
	}

	if(exportEnc.length()!=0){
		CB_default_export_encoding->insertItem(exportEnc);
	}

	QTextCodec *codec;
	for (i = 0; (codec = QTextCodec::codecForIndex(i)); i++){
		CB_default_import_encoding->insertItem(codec->name());
		CB_default_export_encoding->insertItem(codec->name());
	}
}
void db_to_gui::createSampleConfiguration(QString file){
	
	QFile configuration(file);

	if ( configuration.open(IO_WriteOnly) ) {   
		QTextStream ts(&configuration);

		QString content="DICTIONARY_TYPES\n\tTYPE_NAME=localization\n";
		content+="\t\tFIELD=Expression:text|Primary key\n";
		content+="\t\tFIELD=Translation:text|\n";
		content+="\t\tFIELD=Application name :text|Primary key\n";
		content+="\t\tFIELD=Translation type:text|\n";
		content+="\t\tFIELD=Comment:text|\n";
		content+="\t\tFIELD=sync:smallint\n";
		content+="\tEND_TYPE\n";
		content+="END_DICTIONARY_TYPES\n\n";
                                
		content+="DICTIONARIES\n";
		content+="\tDICT_CONF=language1-language2|localization|localhost:5432:SomeUser:Database:somePass:\n";
		content+="\tDICT_DEFAULT=language1-language2|localization|localhost:5432:SomeUser:Database:somePass:\n";
		content+="END_DICTIONARIES\n\n";
			
		content+="USER_NAME=Sample User name\n";
		content+="E_MAIL=sample@sample.com\n";
		content+="LANGUAGE_TEAM= languageTeam <lt@somecountry.domain>\n";
		content+="IMPORT_ENCODING=UTF-8\n";
		content+="EXPORT_ENCODING=UTF-8\n\n";
		//writing it down
		ts<<content;
		configuration.close();

		//creating sample sql tables
		QString query="create table language1language2localization(";
		query+="expression text NOT NULL, translation text,comment text,";
		query+="applicationName text,translationType smallint,sync smallint,";
		query+="PRIMARY KEY(expression,applicationname));";
		char *zErrMsg;
		cout <<"inicijalna tablica " <<query<<endl;
		sqlite_exec(database,query.latin1(),0,0,&zErrMsg);
		if (zErrMsg){
			QString err(zErrMsg);
			QMessageBox::information( 0, "Error writting to database", "Colud not create initial tables: \n"+ err, QMessageBox::Ok );
		}		
	}
	else {
		QMessageBox::information( 0, "Error creating sample configuration files", "Colud not create sample configuration files\n Do you have privileges to write to file: \n"+ file, QMessageBox::Ok );
	}

}
void db_to_gui::connect_to_online_dictionary(bool warn){

	QString conninfo="";


	if(curDict.getDictServer().length()!=0){
		conninfo="host="+curDict.getDictServer();
	}
	if(curDict.getDictServerDatabase().length()!=0){
		conninfo+=" dbname="+curDict.getDictServerDatabase();
	}
	if(curDict.getDictServerUserName().length()!=0){
		conninfo+=" user="+curDict.getDictServerUserName();
	}
	if(curDict.getDictServerPort().length()!=0){
		conninfo+=" port="+curDict.getDictServerPort();
	}
	if(curDict.getDictServerPassword().length()!=0){
		conninfo+=" password="+curDict.getDictServerPassword();
	}

	conninfo.stripWhiteSpace();
	if(conninfo.length()==0){
		conninfo="MissingServerInformation";
	}
	
		
cout <<"stvaram vezu prema bazi -" <<conninfo <<"-"<<endl;
	onlineDb=new PgDatabase(conninfo);

	//cout <<"pokusavamo se spojiti na bazu "<<conninfo<<endl;	
	if(onlineDb->ConnectionBad()){
		//connecting to online database didn't succeed,so we are disabling buttons until another attempt is made
		TB_server_to_table->setDisabled(TRUE);
		TB_table_to_server->setDisabled(TRUE);
		TB_server_to_local->setDisabled(TRUE);
		TB_local_to_server->setDisabled(TRUE);
		cout <<"onemogucujem"<<endl;
		if(warn){
			QString errr=onlineDb->ErrorMessage();
			QMessageBox::information( 0, "Error while connecting to database", errr, QMessageBox::Ok );                
		}
	}
	else {
		TB_server_to_table->setEnabled(TRUE);
		TB_table_to_server->setEnabled(TRUE);
		TB_server_to_local->setEnabled(TRUE);
		TB_local_to_server->setEnabled(TRUE);
		setConnected();

	}
}
void db_to_gui::on_get_new_expressions(){

}
void db_to_gui::on_search_cell_changed(int i, int j){
	cout << "promijenila se celija na: " << Table_search->text(i,j)<<endl;
}




int db_to_gui::getColumnsAndValues(QTable *Table, int row,QStringList & columns, QStringList & values){
	QRegExp s("'");
	unsigned int j;
	int num;
	float fnum;
	double dnum;
	bool ok;
	QString val, colType, colName;

	for(j=0;j<curDType.colNames.count(); j++){

		val=Table->text(row,j);
		colType=curDType.colTypes[j];
		colName=curDType.colNames[j];

		if (val.length()!=0){
			//we replace any ' in the cell with '' in the query, because of sql demands
			val.replace(s,"''");

			if (colType=="text" || colType=="varchar" || colType=="char"){
				if (val=="NULL"||val=="null"){
					values.append("NULL");
					columns.append(colName);
				}
				else {
					values.append("'"+val+"'");
					columns.append(colName);
				}
			}
			else if(colType=="smallint" || colType=="int"){
				if (val=="NULL"||val=="null"){
					values.append("NULL");
					columns.append(colName);
				}
				else {
					num=val.toInt(&ok,10);
					if (ok==TRUE){
						values.append(val);
						columns.append(colName);
					}
					else {
						//Table->setBackgroundColor(wrong);
						//error if value isn't integer, range is not checked
						return 1;
					}
				}
			}
			else if(colType=="float"){
				if (val=="NULL"|| val=="null"){
					values.append("NULL");
					columns.append(colName);
				}
				else {
					fnum=val.toFloat(&ok);
					if (ok==TRUE){
						values.append(val);
						columns.append(colName);
					}
					else {
						//Table->setBackgroundColor(wrong);
						//error if value isn't integer, range is not checked
						return 1;
					}
				}
			}
			else if(colType=="double"){

				if (val=="NULL"||val=="null"){
					values.append("NULL");
					columns.append(colName);
				}
				else {
					dnum=val.toDouble(&ok);
					if (ok==TRUE){
						values.append(val);
						columns.append(colName);
					}
					else {
						//Table->setBackgroundColor(wrong);
						//error if value isn't integer, range is not checked
						return 1;
					}
				}
			}
		}
	}
	return 0;	
}







int db_to_gui::import_from_po_file(QList<message> &messages){
	QRegExp pr("'");
	//QRegExp rn("\\\\n");
	//QRegExp rt("\\\\t");
	QString appName/*,appVersion*/;
	char *zErrMsg;

	QString cols;
	QString vals;

	//here we prepare messagees for sql insert into database
	QListIterator<message> it(messages); 
	for ( ; it.current(); ++it ) {
		message *m = it.current();

		//any "'" in strings that are to be inserted into database is
		//here replaced with "''" to avoid errors (due to sql syntax).
		m->msgId.replace(pr,"''");
		m->msgStr.replace(pr,"''");
		m->comm.replace(pr,"''");
		m->flag.replace(pr,"''");


		//cannot insert emty translations (actually this cann't really happen)
		if (m->msgId.length()==0) break;

		cols="expression";
		vals="'"+m->msgId+"'";


		if (m->msgStr.length()!=0){
			cols+=",translation,sync";
			vals+=",'"+m->msgStr+"',100";
			//			m->msgStr="NULL";
		}
		else {
			cols+=",sync";
			vals+=",900";
		}

		if (m->comm.length()!=0){
			cols+=",comment";
			vals+=",'"+m->comm+"'";
			//			m->comm="NULL";
		}

		if (m->flag.length()!=0){
			cols+=",translationtype";
			vals+=",'"+m->flag+"'";
		}
		cols+=",applicationname";
		vals+=",'"+appName+"'";
		/*
		   cols+=",applicationversion";
		   vals+=",'"+appVersion+"'";
		   */




		if (m->msgId!="NEW PROJECT"){	


			//	cout <<"insert into "+curDict.getTableName()+"("+cols+")"+ "values("+vals+");"<<endl;
			QString insert="insert into "+curDict.getTableName()+"("+cols+")"+ "values("+vals+");";
			//insert.replace(rn,"\\\\n");
			//insert.replace(rt,"\\\\t");
			QCString a(insert.utf8());	

			sqlite_exec(database,a.data(),0,0,&zErrMsg);
			if (zErrMsg){
				QString err(zErrMsg);
				QMessageBox::information( 0, "Error writting to database", "While writting  to database error occured: \n"+ err, QMessageBox::Ok );                
				return 1 ;
			}
		}
		else {
			if (m->comm.length()==0){
				appName="a";
			}
			else {
				appName=m->comm.replace(QRegExp("'"),"''");
			}
			/*
			   if (m->flag.length()==0){
			   appVersion='0';
			   }
			   else {
			   appVersion=m->flag.replace(QRegExp("'"),"''");
			   }
			   */
		}
	}
	return 0;
}
int db_to_gui::parse_po_file(QList<message> &messages,QString fileName,QString encoding){
	QFile importFile(fileName);

	//these regexps are used to recognize type of translation
	QRegExp begMsgid("^msgid[ \t]\"\"");
	QRegExp begMsgsrt("^msgstr[ \t]\"\"");
	QRegExp text("^\".*\"");
	QRegExp comment("^#\\..*");
	QRegExp ref("^#:[ \t].*");
	QRegExp flag("^#, .*");
	QRegExp refMsgid("^msgid \".*\"");
	QRegExp refMsgstr("^msgstr \".*\"");
	QRegExp othMsgid("^#~ msgid \".*\"");
	QRegExp othMsgstr("^#~ msgstr \".*\"");
	QRegExp othText("^#~ \".*\"");
	QRegExp msgIdPlur("^msgid_plural \".*\"");
	QRegExp msgStrPlur("^msgstr\\[[0-9]+\\] \".*\"");
	//QRegExp msgStrPlur1("^msgstr\\[1\\] \".*\"");



	message *m = new message;
	m->reset();

	//parsing is done in a finitive state machine
	int state=1; 
	if ( importFile.open(IO_ReadOnly) ) {  

		QTextStream t( &importFile );  
		QTextCodec *codec;
		codec=QTextCodec::codecForName(encoding);
		t.setCodec(codec);

		QString s;
		//file is read line by line, and on basis of input (with
		//little help of regexps) states of finitive state machine are changed.
		//All informations are saved in class QList<message> list.
		while ( !t.eof() ) {     
			s = t.readLine();

			if (state==1){
				if (s.find(begMsgid)!=-1){
					m->msgId="NEW PROJECT";
					state=2;
				}
			}
			else if(state==2){
				if (s.find(begMsgsrt)!=-1){
					state=3;
				}
				else {
					m->reset();
				}
			}
			else if(state==3){
				if (s.find(text)!=-1){
					m->msgStr=s.mid(1,s.findRev("\"")-1);
					if (s.find(QRegExp("Project-Id-Version:[ \t].*"))!=-1){
						m->comm=s.replace(QRegExp("\"Project-Id-Version:[ \t]"),"");
						m->comm=m->comm.replace(QRegExp("[- ]*[0-9]+.*\\\\n\""),"");
						m->comm=m->comm.replace(QRegExp("[\t ]\\\\n\""),"");
						if(m->comm.find("PACKAGE VERSION")!=-1) m->comm="a";
						m->flag=s.replace(QRegExp("\"Project-Id-Version:[ \t]"),"");
						m->flag=m->flag.replace(QRegExp(m->comm+"[- ]*"),"");
						m->flag=m->flag.replace(QRegExp("\\\\n\""),"");
						if(m->flag.find("PACKAGE VERSION")!=-1) m->flag="0";
						m->comm=m->comm.lower();
						m->flag=m->flag.lower();
						//m->comm will have application name and m->flag will contain application version
					}	       
					state=4;
				}
				else {
					messages.append(new message(m->comm,m->flag,m->refNo,m->msgId,m->msgStr,m->msgType));
					m->reset();
					state=5;
				}
			}
			else if(state==4){
				if (s.find(text)!=-1){
					m->msgStr+="\n"+s.mid(1,s.findRev("\"")-1); 
					if (s.find(QRegExp("Project-Id-Version:[ \t].*"))!=-1){
						m->comm=s.replace(QRegExp("\"Project-Id-Version:[ \t]"),"");
						m->comm=m->comm.replace(QRegExp("[- ]*[0-9]+.*\\\\n\""),"");
						m->comm=m->comm.replace(QRegExp("[\t ]\\\\n\""),"");
						if(m->comm.find("PACKAGE VERSION")!=-1) m->comm="a";
						m->flag=s.replace(QRegExp("\"Project-Id-Version:[ \t]"),"");
						m->flag=m->flag.replace(QRegExp(m->comm+"[- ]*"),"");
						m->flag=m->flag.replace(QRegExp("\\\\n\""),"");
						if(m->flag.find("PACKAGE VERSION")!=-1) m->flag="0";
						m->comm=m->comm.lower();
						m->flag=m->flag.lower();
					}	       
				}
				else {
					messages.append(new message(m->comm,m->flag,m->refNo,m->msgId,m->msgStr,m->msgType));
					m->reset();
					state=5;
				}
			}
			else if(state==5){
				if (s.find(ref)!=-1){
					m->refNo=s.mid(3,s.length()-1);
					state=7;
				}
				else if (s.find(othMsgid)!=-1){
					m->msgId=s.mid(10,s.findRev("\"")-10);
					state=11;
				}
				else if (s.find(comment)!=-1){
					m->comm=s.mid(2,s.length()-2);
					state=6;
				}
				else if (s.find(flag)!=-1){
					m->flag=s.mid(3,s.length()-1);
					state=51;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==51){
				if (s.find(othMsgid)!=-1){
					m->msgId=s.mid(10,s.findRev("\"")-10);
					state=11;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==6){
				if (s.find(ref)!=-1){
					m->refNo=s.mid(3,s.length()-1);
					state=7;
				}

				else if (s.find(comment)!=-1){
					m->comm+="\n"+s.mid(2,s.length()-2);
				}
				else if (s.find(othMsgid)!=-1){
					m->comm=s.mid(8,s.length()-1);
					state=11;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==7){
				if (s.find(ref)!=-1){
					m->refNo+="\n"+s.mid(3,s.length()-1);
				}
				else if (s.find(flag)!=-1){
					m->flag=s.mid(3,s.length()-1);
					state=8;
				}
				else if (s.find(refMsgid)!=-1){
					m->msgId=s.mid(7,s.findRev("\"")-7);
					state=9;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==8){
				if (s.find(refMsgid)!=-1){
					m->msgId=s.mid(7,s.findRev("\"")-7);
					state=9;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==9){
				if (s.find(refMsgstr)!=-1){
					m->msgStr=s.mid(8,s.findRev("\"")-8);
					state=10;
				}
				else if (s.find(text)!=-1){
					m->msgId+="\n"+s.mid(1,s.findRev("\"")-1);
				}
				else if (s.find(msgIdPlur)!=-1){
					m->msgId+="\n"+s.mid(14,s.findRev("\"")-14);
					m->msgType="plural";
					m->comm="plural form";
					cout <<"krecemo: "<<m->msgId<<endl<<endl;
					state=91;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==91){
				if (s.find(msgStrPlur)!=-1){
					m->msgStr=s.mid(11,s.findRev("\"")-11);
					cout <<"nasli smo plur 0 "<<m->msgId<<", i "<<m->msgStr<<endl;
					state=92;
				}
				/*
				   else if (s.find(text)!=-1){
				   m->msgId+="\n"+s.mid(1,s.findRev("\"")-1);
				   }*/
				else {
					cout <<"u stanju 91 je nesto puklo \n\n"<<m->msgId<<", i "<<m->msgStr<<endl<<endl;

					m->reset();
					state=5;
				}
			}
			else if(state==92){
				if (s.find(msgStrPlur)!=-1){
					m->msgStr+="\n"+s.mid(11,s.findRev("\"")-11);
					cout <<"nasli smo plur 1 "<<m->msgId<<"\n, i\n"<<m->msgStr<<endl;
				}
				/*
				   else if (s.find(text)!=-1){
				   m->msgStr+="\n"+s.mid(1,s.findRev("\"")-1);
				   }
				   */
				else {
					messages.append(new message(m->comm,m->flag,m->refNo,m->msgId,m->msgStr,m->msgType));
					cout <<"nasli smo visenitnu poruku\n-------------\n-"<<m->msgId<<"-\n, i \n-"<<m->msgStr<<"-\n------------\n";
					m->reset();
					state=5;
				}
			}
			else if(state==10){
				if (s.find(text)!=-1){
					m->msgStr+="\n"+s.mid(1,s.findRev("\"")-1);
				}
				else {
					messages.append(new message(m->comm,m->flag,m->refNo,m->msgId,m->msgStr,m->msgType));
					m->reset();
					state=5;
				}
			}
			else if(state==11){
				if (s.find(othText)!=-1){
					m->msgId+="\n"+s.mid(4,s.findRev("\"")-4);
				}
				else if (s.find(othMsgstr)!=-1){
					m->msgStr=s.mid(11,s.findRev("\"")-11);
					state=12;
				}
				else {
					m->reset();
					state=5;
				}
			}
			else if(state==12){
				if (s.find(othText)!=-1){
					m->msgStr+="\n"+s.mid(4,s.findRev("\"")-4);
				}
				else {
					messages.append(new message(m->comm,m->flag,m->refNo,m->msgId,m->msgStr,m->msgType));
					m->reset();
					state=5;
				}
			}
		}
		importFile.close();
	}
	else {
		QMessageBox::information( 0, "Error opening import file", "I cannot open file "+ fileName, QMessageBox::Ok );                
		return 1;
	}
	return 0;
}
int db_to_gui::export_po_file(QList<message> &messages,QString fileName, bool local, QString encoding){


	if(curDict.getTableName().find("localization")==-1){
		QMessageBox::information( 0, "Error, cannot export .po file from this database", "You cannot export this type of database into .po file.\nOnly \"localization\" type of databases can be exported to po files ", QMessageBox::Ok );                
		return 1;

	}


	QFile exportFile(fileName);

	QStringList lines;
	unsigned int i;
	int nRow, nCol, rc;
	char *errMsg;
	char ** result;
	message *m;
	QString select,selectt;
	QRegExp rn("\\\\");

	if (!local && !isConnected()){
		QMessageBox::information( 0, "Error while communicating with database", "You have to connect to online database before sending query.\n", QMessageBox::Ok );                
		return -1;
	}
	//connecting to online database didn't succeed,so we are disabling buttons until another attempt is made

	QListIterator<message> it(messages);
	QStringList a;

	QString p;
	QString appName="a";
	//	QString appVersion="0";
	int k;
	QRegExp pr("'");

	for ( k=0; it.current(); ++it,k++ ) {    
		m = it.current();
		QString mss;
		QString mcom;
		QString mfl;
		if (k==0){
			if (m->msgId=="NEW PROJECT"){
				appName=m->comm;
				appName.replace(pr,"''");
				/*
				   appVersion=m->flag;
				   appVersion.replace(pr,"''");
				   cout <<"\nnime aplikacije: "<<appName <<" i  verzija " << appVersion <<endl;
				   */

				QString project;
				project="\n#this file is translated by TransDict\nmsgid \"\"\nmsgstr \"\"\n";
				if(m->comm.length()!=0){
					project+="\"Project-Id-Version: "+m->comm;					
					if (m->flag.length()!=0){
						project+=" "+m->flag;
					}
					project+="\\n\"\n";

				}
				if(LE_username->text().length()!=0){
					project+="\"Last-Translator: "+LE_username->text();
					if(LE_email->text().length()!=0){
						project+=" <"+LE_email->text()+">\\n\"\n";
					}
					else {
						project+="\\n\"\n";
					}

				}
				if(LE_team->text().length()!=0){
					project+="\"Language-Team: "+LE_team->text()+"\\n\"\n";
				}
				project+="\"MIME-Version: 1.0\\n\"\n";

				project+="\"Content-Type: text/plain; charset="+encoding+"\\n\"\n";
				project+="\"Content-Transfer-Encoding: 8bit\\n\"\n";
				lines.append(project+"\n");
			}


		}
		else {
			if(local){
				p=m->msgId;
				p.replace(pr,"''");
				select="select expression,translation,comment,translationtype,applicationname,sync from "+curDict.getTableName();
				select+=" where expression='"+p+"' and translation IS NOT NULL";
				selectt=select;
				selectt+=" and applicationname='"+appName+"';";
				select+=";";
				//		cout <<endl<<"saljem " <<select<<endl;

				QCString buf(select);

				//first we tray selectt and if there are no result select is tried
				rc=sqlite_get_table(database,buf.data(),&result,&nRow,&nCol,&errMsg);
				if (errMsg){
					cout <<"\n\nupit "<<buf <<" se razrijesio\n\n";
					cout <<"===============================================IMA baz za tu operaciju pogodnog\n\n";
					QString err(errMsg);
					QMessageBox::information( 0, "Error request to database", "There was an error while communicating with dictionary: \n"+ err, QMessageBox::Ok );
				}
				//if there were no translations for the exact application we try it for any other application, this only aplies for local database
				if (nRow==0){
					buf=selectt.utf8();
					rc=sqlite_get_table(database,buf.data(),&result,&nRow,&nCol,&errMsg);
					if (errMsg){
						QString err(errMsg);
						QMessageBox::information( 0, "Error request to database", "There was an error while communicating with dictionary: \n"+ err, QMessageBox::Ok );
					}
				}

				if (nRow>0){
					//taking translation,comment and translationtype from database
					mss=QString::fromUtf8(result[7]);
					mcom=QString::fromUtf8(result[8]);
					mfl=QString::fromUtf8(result[9]);

					m->msgStr=mss;
					m->comm=mcom;
					m->flag=mfl;
				}
				sqlite_free_table(result);
			}
			else{
				p=m->msgId;
				p.replace(QRegExp("'"),"''");
				appName.replace(QRegExp("'"),"''");
				select="select expression,translation,comment,translationtype,applicationname,sync from "+curDict.getTableName();
				select+=" where expression='"+p+"' and translation="+ curDict.getShortTableName()+"_best_translation('"+p+"','"+appName+"');";
				cout <<endl<<"saljem " <<select<<endl;

				QCString buf(select);
				buf.replace(rn,"\\\\");
				if(!onlineDb->ExecTuplesOk(buf.data())){
					QString errorM(onlineDb->ErrorMessage());
					QMessageBox::information( 0, "Error while communicating with database", "There was an error while communicating with database\n"+errorM, QMessageBox::Ok );                
				}
				nRow=onlineDb->Tuples();
				nCol=curDType.colNames.count();	
				if (nRow>0){

					mss=QString::fromUtf8(onlineDb->GetValue(0,1));
					mcom=QString::fromUtf8(onlineDb->GetValue(0,2));
					mfl=QString::fromUtf8(onlineDb->GetValue(0,3));

					m->msgStr=mss;
					m->comm=mcom;
					m->flag=mfl;
				}
			}



			//preparing translations, expressions, etc. for writting to file
			//project information is written first
			//now we write messages and translations
			if(m->refNo.length()!=0){
				if(m->comm.length()!=0){
					a=a.split("\n",m->comm,TRUE);
					if(a[0].length()==0){
						lines.append("#.\n");
					}
					else {
						lines.append("#."+a[0]+"\n");
					}
					for (i=1; i<a.count(); i++){
						lines.append("#."+a[i]+"\n");
					}
				}

				a=a.split("\n",m->refNo);
				for (i=0; i<a.count(); i++){
					lines.append("#: " +a[i]+"\n");
				}
				if (m->flag.length()!=0) lines.append("#, "+m->flag+"\n");


				a=a.split("\n",m->msgId,TRUE);
				if (m->msgType=="plural"){
					/*
					   if (a.count()!=2) {
					//only two line msgid "something"\n msgid_plural "something" messages are supported
					lines.append("\n");
					break;
					}
					*/
					lines.append("msgid \""+ a[0]+"\" \n");
					lines.append("msgid_plural \""+ a[1]+"\"\n");

					a=a.split("\n",m->msgStr,TRUE);
					for (i=0; i<a.count(); i++){
						QString tt="msgstr[";
						QCString rrr;
						rrr.setNum(i);
						tt+= rrr;
						//tt+=i;
						tt+="]";
						tt+= " \""+a[i];
						tt+="\"\n";
						lines.append(tt);
					}

				}
				else {
					if(a[0].length()==0){
						lines.append("msgid \"\"\n");
					}
					else {
						lines.append("msgid \""+ a[0]+"\"\n");
					}
					for (i=1; i<a.count(); i++){
						lines.append("\""+a[i]+"\"\n");
					}
					a=a.split("\n",m->msgStr,TRUE);

					if(a[0].length()==0){
						lines.append("msgstr \"\"\n");
					}
					else {
						lines.append("msgstr \"" +a[0]+"\"\n");
					}
					for (i=1; i<a.count(); i++){
						lines.append("\""+a[i]+"\"\n");
					}

				}

			}
			else {
				if(m->comm.length()!=0){
					a=a.split("\n",m->comm,TRUE);
					if(a[0].length()==0){
						lines.append("#.\n");
					}
					else {
						lines.append("#."+a[0]+"\n");
					}
					for (i=1; i<a.count(); i++){
						lines.append("#."+a[i]+"\n");
					}
				}
				if (m->flag.length()!=0) lines.append("#, "+m->flag+"\n");

				a=a.split("\n",m->msgId,TRUE);
				if(a[0].length()==0){
					lines.append("#~ msgid \"\"\n");
				}
				else {
					lines.append("#~ msgid \""+a[0]+"\"\n");
				}
				for (i=1; i<a.count(); i++){
					lines.append("#~ \""+a[i]+"\"\n");
				}

				a=a.split("\n",m->msgStr,TRUE);

				if(a[0].length()==0){
					lines.append("#~ msgstr \"\"\n");
				}
				else {
					lines.append("#~ msgstr \"" +a[0]+"\"\n");
				}
				for (i=1; i<a.count(); i++){
					lines.append("#~ \"" +a[i]+"\"\n");
				}
			}
			lines.append("\n");

		}
	}

	if ( exportFile.open(IO_WriteOnly) ) {   

		QTextStream ts(&exportFile);


		QTextCodec *codec;
		codec=QTextCodec::codecForName(encoding);
		ts.setCodec(codec);

		//writing prepared files
		for ( QStringList::Iterator it = lines.begin(); it != lines.end(); ++it ) {
			QString a=*it;
			ts<<a;
		}
		exportFile.close();
	}
	else         {
		QMessageBox::information( 0, "Error writing to export file",   "I cannot write to export file " + fileName, QMessageBox::Ok );             
	}
	return 0;
}

void db_to_gui::on_import_from_po_file(){
	PoFileImportDialog *dialog=new PoFileImportDialog(this);

	QTextCodec *codec;
	int i;
	QString importEnc=CB_default_import_encoding->currentText();

	dialog->CB_import_encoding->insertItem(importEnc);

	for (i = 0; (codec = QTextCodec::codecForIndex(i)); i++){
		dialog->CB_import_encoding->insertItem(codec->name());
	}

	if(dialog->exec()==1){
		QList<message> messages;
		QString importEnc=dialog->CB_import_encoding->currentText();
		QString importFile=dialog->LE_file->text();

		parse_po_file(messages,importFile,importEnc);
		import_from_po_file(messages);
	}
	delete dialog;
}

void db_to_gui::on_export_to_po_file(){

	PoFileExportDialog *dialog=new PoFileExportDialog(this);
	QList<message> messages;

	//filling up  list of codecs
	//QList<QTextCodec> codecList;
	QTextCodec *codec;
	int i;
	QString exportEnc=CB_default_export_encoding->currentText();
	QString importEnc=CB_default_import_encoding->currentText();

	dialog->CB_import_encoding->insertItem(importEnc);
	dialog->CB_export_encoding->insertItem(exportEnc);

	for (i = 0; (codec = QTextCodec::codecForIndex(i)); i++){
		dialog->CB_import_encoding->insertItem(codec->name());
		dialog->CB_export_encoding->insertItem(codec->name());
	}


	if(dialog->exec()==1){
		QList<message> messages;
		QString exportFile=dialog->LE_export->text();
		QString importFile=dialog->LE_origin->text();
		importEnc=dialog->CB_import_encoding->currentText();
		exportEnc=dialog->CB_export_encoding->currentText();


		parse_po_file(messages,importFile,importEnc);
		if(dialog->CB_local_dictionary->isOn()){
			export_po_file(messages,exportFile, TRUE,exportEnc);
		}
		else {
			export_po_file(messages,exportFile, FALSE,exportEnc);
		}
	}
	delete dialog;
}
QString db_to_gui::currentDictionaryType(){
	return curDType.typeName;
}
QString db_to_gui::getTDHome(){
	return transDictHome;
}
void db_to_gui::setTDHome(QString dir){
	transDictHome=dir;
}
QString db_to_gui::getTDConf(){
	return transDictConf;
}
void db_to_gui::setTDConf(QString file){
	transDictConf=file;
}

bool db_to_gui::isConnected(){
	return connectedToDb; 
}

void db_to_gui::setConnected(){
	connectedToDb=TRUE; 
}
