/***************************************************************************
  dialog_create_dictionary.h  -  description
  -------------------
begin                : Mon Dec 3 2001
copyright            : (C) 2001 by Denis Lackovic
email                : delacko@fly.srk.fer.hr
 ***************************************************************************/

/***************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
 ***************************************************************************/
#include <qtable.h>
#include "create_dictionary.h"
#include "db_2_gui.h"

#ifndef DIALOG_CREATE_DICTIONARY_H
#define DIALOG_CREATE_DICTIONARY_H



class dialog_cd:public Create_dictionary
{
	Q_OBJECT

	public:
		dialog_cd( QWidget* parent = 0, const char* name = 0,
				bool modal = TRUE, WFlags f = 0 ) :
			Create_dictionary ( parent, name, modal, f ) {
				Table_dict_fields->verticalHeader()->hide();
				Table_dict_fields->horizontalHeader()->setLabel(0,"Field name",120);
				Table_dict_fields->horizontalHeader()->setLabel(1,"Field type",120);
				Table_dict_fields->horizontalHeader()->setLabel(2,"Primary key",100);
				Table_dict_fields->horizontalHeader()->setLabel(3,"Index",100);
			}
		QList<DictType> dTypes;
		DictType curDType;

		public slots:
			virtual void on_first_lang_changed();
			virtual void on_second_lang_changed();
			virtual void on_ok();
			virtual void on_create_new_dictionary_type();
			virtual void on_cd_dictionary_type_changed(const QString &type);
			


};


#endif
